Bug Hunting Session
Bug 100258 - crash: trying to dispose media player
Summary: crash: trying to dispose media player
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: framework (show other bugs)
Version:
(earliest affected)
5.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:5.3.0 target:5.2.0.1 target:5.1.5
Keywords: haveBacktrace
Depends on:
Blocks: Media-Player-Dialog
  Show dependency treegraph
 
Reported: 2016-06-07 10:24 UTC by JoNi
Modified: 2017-09-23 11:23 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
backtrace (34.66 KB, text/plain)
2016-06-07 10:24 UTC, JoNi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description JoNi 2016-06-07 10:24:20 UTC
Created attachment 125538 [details]
backtrace

if media player fails to start, LO crashes closing the document

to reproduce:
* start LO in a virtual machine without sound support
(so creating media player will fail)
* create new document
* open gallery (view - gallery)
* open sounds folder
* select one entry
* right click - preview
  (with debug build, console should show:
   warn:avmedia:12836:1:avmedia/source/viewer/mediawindow_impl.cxx:251: failed to create media player service com.sun.star.comp.avmedia.Manager_VLC)
* close document
-> crash
Comment 1 Commit Notification 2016-06-07 13:31:02 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ec2425ad5fb39df5ad952b27d49e172fdd7ff00d

Resolves: tdf#100258 crash on disposing media player

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2016-06-07 13:32:20 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=53d6094bd1337580dcd1c449f2bb696f03afb621&h=libreoffice-5-2

Resolves: tdf#100258 crash on disposing media player

It will be available in 5.2.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 JoNi 2016-06-07 19:46:44 UTC
thank you again, for fast fix
can verify fix on master
Comment 4 Commit Notification 2016-06-08 13:55:31 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=14a0b4a0883eb960896bd213c41e28957f1cda3c&h=libreoffice-5-1

Resolves: tdf#100258 crash on disposing media player

It will be available in 5.1.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.